import os

import jwt
import requests


def get_id_token():
    client_id = os.getenv("TEST_OPENID_PROVIDER_CLIENT_ID")
    client_secret = os.getenv("TEST_OPENID_PROVIDER_CLIENT_SECRET")
    keycloak_url = (
        os.getenv("TEST_OPENID_PROVIDER_URL") + "/protocol/openid-connect/token"
    )

    data = {
        "client_id": client_id,
        "client_secret": client_secret,
        "grant_type": "client_credentials",
        "scope": "openid",
    }

    response = requests.post(keycloak_url, data).json()
    token = response["id_token"]
    return token


def get_invalid_token():
    return jwt.encode({"some": "payload"}, "secret", algorithm="HS256").decode("utf-8")


if __name__ == "__main__":
    print(get_id_token())
